Main Page Widgets Namespaces Book

# Gtk::Toolbar_Helpers::ButtonElem Struct Reference
[Toolbar classes]

Inheritance diagram for Gtk::Toolbar_Helpers::ButtonElem:

[legend]
List of all members.

## Public Methods

| ButtonElem (const Glib::ustring& text, Widget& content, const Callback0& callback, const Glib::ustring& tooltip_text=Glib::ustring(), const Glib::ustring& tooltip_private_text=Glib::ustring())
| ButtonElem (Widget& content, const Callback0& callback, const Glib::ustring& tooltip_text=Glib::ustring(), const Glib::ustring& tooltip_private_text=Glib::ustring())
| ButtonElem (const Glib::ustring& text, const Callback0& callback, const Glib::ustring& tooltip_text=Glib::ustring(), const Glib::ustring& tooltip_private_text=Glib::ustring())

## Constructor & Destructor Documentation

Gtk::Toolbar_Helpers::ButtonElem::ButtonElem | ( | const Glib::ustring& | text,
|  | Widget& | content,
|  | const Callback0& | callback,
|  | const Glib::ustring& | tooltip_text = Glib::ustring(),
|  | const Glib::ustring& | tooltip_private_text = Glib::ustring()
| ) |

Gtk::Toolbar_Helpers::ButtonElem::ButtonElem | ( | Widget& | content,
|  | const Callback0& | callback,
|  | const Glib::ustring& | tooltip_text = Glib::ustring(),
|  | const Glib::ustring& | tooltip_private_text = Glib::ustring()
| ) |

Gtk::Toolbar_Helpers::ButtonElem::ButtonElem | ( | const Glib::ustring& | text,
|  | const Callback0& | callback,
|  | const Glib::ustring& | tooltip_text = Glib::ustring(),
|  | const Glib::ustring& | tooltip_private_text = Glib::ustring()
| ) |

The documentation for this struct was generated from the following file:

- toolbar.h